#include <bits/stdc++.h>

using namespace std;

int main() {
    ios_base::sync_with_stdio(false); cin.tie(NULL);

    int k;
    cin >> k;

        cout << "0 1\n";
        cout << "0 2\n";
        cout << "0 3\n";
        cout << "0 4\n";
}